## ghostscript 9.20~dfsg

=== debian/changelog ===
ghostscript (9.20~dfsg-3.2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Bounds check the array allocations methods (CVE-2017-9835)
    (Closes: #869907)
  * Bounds check zone pointer in Ins_MIRP() (CVE-2017-9611) (Closes: #869917)
  * Bounds check zone pointers in Ins_IP() (CVE-2017-9612) (Closes: #869916)
  * Bounds check zone pointer in Ins_MDRP (CVE-2017-9726) (Closes: #869915)
  * Make bounds check in gx_ttfReader__Read more robust (CVE-2017-9727)
    (Closes: #869913)
  * Bounds check Ins_JMPR (CVE-2017-9739) (Closes: #869910)
  * Prevent trying to reloc a freed object (CVE-2017-11714) (Closes: #869977)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 28 Sep 2017 21:47:33 +0200

ghostscript (9.20~dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix regression introduced by CVE-2017-8291 fix.
    When using the "DELAYBIND" feature, it turns out that .eqproc can be
    called with parameters that are not both procedures. In this case, it
    turns out, the expectation is for the operator to return 'false', rather
    than throw an error. (Closes: #862779)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 21 May 2017 19:22:52 +0200

ghostscript (9.20~dfsg-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * -dSAFER bypass and remote command execution via a "/OutputFile  (%pipe%"
    substring (CVE-2017-8291) (Closes: #861295)
  * use the correct param list enumerator (CVE-2017-5951) (Closes: #859696)
  * fix crash with bad data supplied to makeimagedevice (CVE-2016-10220)
    (Closes: #859694)
  * Avoid divide by 0 in scan conversion code (CVE-2016-10219)
    (Closes: #859666)
  * Dont create new ctx when pdf14 device reenabled (CVE-2016-10217)
    (Closes: #859662)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Apr 2017 06:50:05 +0200

ghostscript (9.20~dfsg-3) unstable; urgency=medium

  * Fix NULL pointer dereference in mem_get_bits_rectangle().
    Closes: Bug#697676 (CVE-2017-7207). Thanks to Salvatore Bonaccorso.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Mar 2017 17:20:00 +0100

ghostscript (9.20~dfsg-2) unstable; urgency=medium

  * Add patch cherry-picked upstream to always print full PWG Raster
    bitmap.
    Closes: Bug#843095. Thanks to Brian Potkin.
  * Modernize Vcs-Browser field: Use git subdir (not cgit).
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update watch file: Use github pattern from documentation.
  * Update copyright info: Extend coverage of Debian packaging.
  * Git-ignore quilt .pc subdir.
  * Revert to not have git import-orig use merge-strategy replace.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Jan 2017 05:26:10 +0100

ghostscript (9.20~dfsg-1) unstable; urgency=medium

  * Fix spelling error in chengelog entry for 9.19~dfsg-3.1.
  * Adjust symbols (Fix version. Synv with experimental builds.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Nov 2016 03:21:17 +0100

ghostscript (9.20~dfsg-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Avoid non-DFSG embedded code copy of ConvertUTF:
    + Avoid when repackaging.
    + Stop track ConvertUTF files in copyright file.
    + Add patches cherry-pricked upstream to improve Unicode handling in
      PDF files.
    Closes: Bug#823100. Thanks to Francesco Poli.
  * Update copyright info:
    + Tidy repackaging to only cover what is still shipped upstream.
    + Add Files and License sections for new file licensed as ISC.
  * Have git import-orig use merge-strategy replace.
  * Update patches:
    + Drop patches cherry-picked upstream and now applied.
    + Consistently apply cherry-picked upstream patches first.
    + Unfuzz patches.
  * Stop build static library (seemingly no longer supported with
    upstream makefiles).
  * Update symbols file (92 missing).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Nov 2016 16:07:47 +0100

ghostscript (9.19~dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2013-5653: Information disclosure through getenv, filenameforall
    (Closes: #839118)
  * CVE-2016-7976: Various userparams allow %pipe% in paths, allowing remote
    shell command execution (Closes: #839260)
  * CVE-2016-7977: .libfile doesn't check PermitFileReading array, allowing
    remote file disclosure (Closes: #839841)
  * CVE-2016-7978: reference leak in .setdevice allows use-after-free and
    remote code execution (Closes: #839845)
  * CVE-2016-7979: type confusion in .initialize_dsc_parser allows remote code
    execution (Closes: #839846)
  * CVE-2016-8602: check for sufficient params in .sethalftone5 and param
    types (Closes: #840451)
  * Add 840691-Fix-.locksafe.patch patch.
    Fixes regression seen with zathura and evince. Fix .locksafe. We need to
    .forceput the definition of getenv into systemdict.
    Thanks to Edgar Fuß <ef@math.uni-bonn.de>

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 27 Oct 2016 13:25:52 +0200

ghostscript (9.19~dfsg-3) unstable; urgency=medium

  * Avoid merging same-licensed sections in copyright_hints.
  * Fix typo in old changelog entry.
  * Skip copyright-check of non-metadata-parseable binary files.
  * Update copyright info:
    + Fix licensing of a few drivers to be GPL-2+.
    + Fix licensing of a base files to be FTL.
    + Update source URL.
  * Update watch file:
    + Fix handle prereleases.
    + Use Github URL (but not common pattern: default tarball is bogus).
    + Mention gpb --uscan in usage comment.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Have library and headers support multi-arch.
    Closes: Bug#770266. Thanks to Andreas Beckmann, Till Kamppeter and
    Matthias Klose.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Sep 2016 12:08:56 +0200

ghostscript (9.19~dfsg-2) unstable; urgency=medium

  * Modernize cdbs use. Tighten build-dependency on cdbs.
  * Declare compliance with Debian Policy 3.9.8.

