=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2004-2009, Masayuki Hatta (mhatta) <mhatta@debian.org>
-# Copyright © 2009-2016, Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2009-2017, Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for GhostPDL
 #
 # This program is free software; you can redistribute it and/or
@@ -41,12 +41,14 @@
 pkg-data = $(libname)$(major)-common
 
 # extract metadata from ICC, PDF, and fonts before copyright check
-# - and skip main HTML documentation
+# - skip main HTML documentation and a spreadsheet
+# - skip binary non-metadata-parseable graphics formats (ico pcl xps)
+# - skip binary non-metadata-parseable certificate bundle (cat)
 DEB_COPYRIGHT_EXTRACT_EXTS = icc pdf ttf
 DEB_COPYRIGHT_EXTRACT_PATHS_EXIF = Resource/Font/
-DEB_COPYRIGHT_CHECK_IGNORE_EXTS = xls
-DEB_COPYRIGHT_CHECK_IGNORE_PATHS = doc/.*\.htm xps/tools/tiger\.xps
-DEB_COPYRIGHT_CHECK_MERGE_SAME_LICENSE = yes
+DEB_COPYRIGHT_CHECK_IGNORE_EXTS = cat ico xls pcl xps
+DEB_COPYRIGHT_CHECK_IGNORE_PATHS = doc/.*\.htm
+#DEB_COPYRIGHT_CHECK_MERGE_SAME_LICENSE = yes
 
 # put aside upstream-shipped temp files during build but after copyright-check
 DEB_UPSTREAM_CRUFT_MOVE = configure
@@ -103,15 +105,9 @@
 CDBS_BUILD_DEPENDS +=, liblcms2-dev (>= 2.5)
 
 # openjpeg requires patching for ICC and CMYK support
-#gs_opts += SHARE_JPX=1
+gs_opts += SHARE_JPX=1
 #DEB_CONFIGURE_EXTRA_FLAGS += --disable-openjpeg
-#dev-deps += openjp2-7
-
-# In contrary to Debian we use the openjpeg convenience library, as the Ubuntu
-# security team does not accept the upstream openjpeg library into Ubuntu
-# Main (https://bugs.launchpad.net/bugs/711061)
-gs_opts += SHARE_JPX=0
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-openjpeg --without-jasper
+dev-deps += openjp2-7
 
 fontdirs = /var/lib/ghostscript/fonts /usr/share/cups/fonts \
  /usr/share/ghostscript/fonts /usr/local/lib/ghostscript/fonts \
@@ -128,7 +124,7 @@
 endif
 dev-deps += cups2 cupsimage2
 
-DEB_MAKE_BUILD_TARGET = so gs.a $(gs_opts)
+DEB_MAKE_BUILD_TARGET = so $(gs_opts)
 DEB_MAKE_INSTALL_TARGET = soinstall DESTDIR=$(DEB_DESTDIR) $(gs_opts)
 
 DEB_DH_MAKESHLIBS_ARGS_$(pkg-x11) = -n
@@ -160,7 +156,7 @@
 	[ ! -f Makefile ] || $(MAKE) soclean
 	[ ! -f Makefile ] || $(MAKE) distclean
 # These are somehow left...
-	rm -rf sobin soobj gs.a
+	rm -rf sobin soobj
 
 # Remove some of the scripts
 bin-avoid = unix-lpr.sh lprsetup.sh pv.sh fixmswrd.pl
@@ -191,11 +187,6 @@
 CDBS_RECOMMENDS_$(pkg-data) +=, fonts-droid-fallback
 install/$(pkg-data)::
 	rm -f $(DEB_DESTDIR)/usr/share/ghostscript/$(abi)/Resource/CIDFSubst/DroidSansFallback.ttf
-
-install/$(pkg-dev)::
-	mkdir -p $(DEB_DESTDIR)/usr/lib/
-	install -m 644 gs.a \
-		$(DEB_DESTDIR)/usr/lib/libgs.a
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
@@ -205,6 +196,7 @@
 debian/stamp-local-shlibs-$(libname): binary-install/$(pkg-lib)
 	d-shlibmove --commit \
 		--devunversioned --ignorelibdep --multiarch \
+		--exclude-a \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		debian/tmp/usr/lib/$(libname).so
 clean::
@@ -222,3 +214,9 @@
 # Needed at build time
 dev-deps += paper idn11
 CDBS_BUILD_DEPENDS +=, $(patsubst %,$(comma) lib%-dev,$(dev-deps))
+CDBS_BUILD_DEPENDS +=, freeglut3-dev, pkg-config
+
+# Needed (always, often, sometimes) at runtime
+CDBS_DEPENDS_$(pkg) +=, debconf | debconf-2.0
+CDBS_DEPENDS_$(pkg) +=, $(pkg-lib) (= $(DEB_VERSION))
+CDBS_DEPENDS_$(pkg-x11) +=, $(pkg) (= $(DEB_VERSION))
