## ghostscript 9.21~dfsg+1

=== debian/changelog ===
ghostscript (9.21~dfsg+1-0ubuntu3.1) artful-security; urgency=medium

  * SECURITY UPDATE: Heap-based buffer overflow and application crash
    - debian/patches/CVE-2016-10317.patch: check max_height bounds in
      base/gxht_thresh.c, base/gxipixel.c.
    - CVE-2016-10317
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-10194.patch: avoid infinite number
      in devices/vector/gdevpdts.c.
    - CVE-2018-10194

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 24 Apr 2018 13:55:24 -0300

ghostscript (9.21~dfsg+1-0ubuntu3) artful; urgency=medium

  * SECURITY UPDATE: DoS via crafted files
    - debian/patches/CVE-2017-11714.patch: prevent to reloc
      a freed object in psi/ztoken.c.
    - CVE-2017-11714
  * SECURITY UPDATE: DoS in Artifex Ghostscript
    - debian/patches/CVE-2017-9611.patch: bounds check pointer in
      base/ttinterp.c
    - CVE-2017-9611
  * SECURITY UPDATE: DoS in Artifex Ghostscript
    - debian/patches/CVE-2017-9612.patch: bounds check pointer in
      base/ttinterp.c
    - CVE-2017-9612
  * SECURITY UPDATE: DoS heap-based buffer over-read and crash
    - debian/patches/CVE-2017-9726.patch: bounds check zone pointer
      in base/ttinterp.c.
    - CVE-2017-9726
  * SECURITY UPDATE: DoS heap-based buffer over-read and crash
    - debian/patches/CVE-2017-9727.patch: make bounds check in
      base/gxttfb.c.
    - CVE-2017-9727
  * SECURITY UPDATE: DoS heap-based buffer over-read and crash
    - debian/patches/CVE-2017-9739.patch: bounds check in
      base/ttinterp.c.
    - CVE-2017-9739
  * SECURITY UPDATE: DoS heap-base buffer over-read and crash
    - debian/patches/CVE-2017-9835.patch: bounds check the array
      allocations methods in base/gsalloc.c.
    - CVE-2017-9835

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 14 Sep 2017 13:48:36 -0400

ghostscript (9.21~dfsg+1-0ubuntu2) artful; urgency=low

  * 020170831-4129543.patch: Backported fix from upstream to make the
    contents of combo boxes in filled PDF forms show (Upstream bug #698461).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  1 Sep 2017 08:57:00 -0300

ghostscript (9.21~dfsg+1-0ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + openjpeg library bundled with upstream Ghostscript/GhostPDL used
      instead of the original openjpeg library, as the original library
      is not accepted into Ubuntu Main
      (https://bugs.launchpad.net/bugs/711061).
  * debian/libgs9.symbols: Updated for new upstream source. Applied patch
    which dpkg-gensymbols generated.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  3 Aug 2017 22:08:00 -0300

ghostscript (9.21~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Highlights:
    + pdfwrite preserves annotations from input PDFs where possible.
    + GhostXPS pass required data to pdfwrite to emit a ToUnicode CMap,
      resulting in fully searchable PDFs created from XPS in most cases.
    + Allow default color space for PDF transparency blends.
    + Improved support for cross-compiling in configure script.
    + tiffscaled and tiffscaled4 supports ETS (Even Tone Screening).
    + toolbin/pdf_info.ps utility emits PDF XML metadata.
    + New scan converter, more performant with large and complex paths.

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
  * Avoid compressing pdf documentation.
  * Revive git-ignore file, lost importing NMUs.
  * Update watch file: Fix track releases (not tags).
  * Update copyright info:
    + Fix update main Files section to include all directory wildcards
      declared in root LICENSE file.
    + Stop track files no longer shipped upstream.
    + Add copyright holder Raph Levien.
    + Extend coverage for main upstream author.
    + Use https protocol in format string.
  * Update patches:
    + Drop patches applied upstream.
    + Normalize patch names.
    + Tidy DEP3 patch headers.
    + Add patch cherry-picked upstream to fix the shared openjpeg build.
    + Add patch cherry-picked upstream to fix shared lib build with
      openjpeg >= 2.1.1, replacing patch 1001.
  * Update package relations:
    + Relax build-dependency on cdbs.
    + Stop build-depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.
  * Relax symbols check when targeting experimental.
  * Update symbols: 16 dropped. 37 added.
  * Declare compliance with Debian Policy 4.0.0.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Jun 2017 19:19:55 +0200

ghostscript (9.19~dfsg+1-0ubuntu10) artful; urgency=medium

  * REGRESSION UPDATE: Fix for CVE-2017-8291 broke pstoedit when using
    DELAYBIND feature (LP: #1687614).
    - debian/patches/CVE-2017-8291-regression.patch: return false rather
      than raise error when .eqproc is called with parameters that are
      not both procedures; correct stack underflow detection.

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 15 May 2017 14:39:41 -0700

ghostscript (9.19~dfsg+1-0ubuntu8) artful; urgency=medium

  * SECURITY UPDATE: invalid handling of parameters to .eqproc and
    .rsdparams allowed disabling -dSAFER and thus code execution
    - debian/patches/CVE-2017-8291-1.patch: check .eqproc parameters
    - debian/patches/CVE-2017-8291-2.patch: check .rsdparams parameters
    - CVE-2017-8291
  * SECURITY UPDATE: use-after-free in color management module.
    - CVE-2016-10217.patch: Dont create new ctx when pdf14 device
      reenabled
    - CVE-2016-10217
  * SECURITY UPDATE: divide-by-zero error denial of service in
    base/gxfill.c
    - CVE-2016-10219.patch: check for 0 in denominator
    - CVE-2016-10219
  * SECURITY UPDATE: null pointer dereference denial of service
    - CVE-2016-10220.patch: initialize device data structure correctly
    - CVE-2016-10220
  * SECURITY UPDATE: null pointer dereference denial of service
    - CVE-2017-5951.patch: use the correct param list enumerator
    - CVE-2017-5951

