=== debian/control ===
--- 
+++ 
@@ -3,14 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Build-Depends: cdbs (>= 0.4.131~),
+Build-Depends: cdbs (>= 0.4.106~),
  autoconf,
  debhelper,
  dh-buildinfo,
- licensecheck,
- libregexp-assemble-perl,
- libimage-exiftool-perl,
- libfont-ttf-perl,
  liblcms2-dev (>= 2.5),
  d-shlibs (>= 0.58~),
  libjpeg-dev,
@@ -34,13 +30,13 @@
  libidn11-dev,
  freeglut3-dev,
  pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Michael Gilbert <mgilbert@debian.org>,
  Bastien ROUCARIÈS <roucaries.bastien+debian@gmail.com>
 Homepage: http://www.ghostscript.com/
 Vcs-Git: https://anonscm.debian.org/git/printing/ghostscript.git
-Vcs-Browser: https://anonscm.debian.org/cgit/printing/ghostscript.git
+Vcs-Browser: https://anonscm.debian.org/git/printing/ghostscript.git
 
 Package: ghostscript
 Architecture: any
@@ -91,11 +87,12 @@
 Package: libgs9
 Section: libs
 Architecture: any
-Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${cdbs:Depends},
+ ${misc:Depends},
  libgs9-common (= ${source:Version})
+Multi-Arch: same
 Description: interpreter for the PostScript language and for PDF - Library
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview, it can display
@@ -126,10 +123,10 @@
 Package: libgs-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: ${devlibs:Depends},
  ${cdbs:Depends},
  ${misc:Depends}
+Multi-Arch: same
 Description: interpreter for the PostScript language and for PDF - Development Files
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview, it can display
